Class: Aws::IAM::Types::ListSSHPublicKeysResponse
- Inherits:
-
Struct
- Object
- Struct
- Aws::IAM::Types::ListSSHPublicKeysResponse
- Defined in:
- gems/aws-sdk-iam/lib/aws-sdk-iam/types.rb
Overview
Contains the response to a successful ListSSHPublicKeys request.
Constant Summary collapse
- SENSITIVE =
[]
Instance Attribute Summary collapse
-
#is_truncated ⇒ Boolean
A flag that indicates whether there are more items to return.
-
#marker ⇒ String
When
IsTruncatedistrue, this element is present and contains the value to use for theMarkerparameter in a subsequent pagination request. -
#ssh_public_keys ⇒ Array<Types::SSHPublicKeyMetadata>
A list of the SSH public keys assigned to IAM user.
Instance Attribute Details
#is_truncated ⇒ Boolean
A flag that indicates whether there are more items to return. If
your results were truncated, you can make a subsequent pagination
request using the Marker request parameter to retrieve more items.
Note that IAM might return fewer than the MaxItems number of
results even when there are more results available. We recommend
that you check IsTruncated after every call to ensure that you
receive all your results.
7882 7883 7884 7885 7886 7887 7888 |
# File 'gems/aws-sdk-iam/lib/aws-sdk-iam/types.rb', line 7882 class ListSSHPublicKeysResponse < Struct.new( :ssh_public_keys, :is_truncated, :marker) SENSITIVE = [] include Aws::Structure end |
#marker ⇒ String
When IsTruncated is true, this element is present and contains
the value to use for the Marker parameter in a subsequent
pagination request.
7882 7883 7884 7885 7886 7887 7888 |
# File 'gems/aws-sdk-iam/lib/aws-sdk-iam/types.rb', line 7882 class ListSSHPublicKeysResponse < Struct.new( :ssh_public_keys, :is_truncated, :marker) SENSITIVE = [] include Aws::Structure end |
#ssh_public_keys ⇒ Array<Types::SSHPublicKeyMetadata>
A list of the SSH public keys assigned to IAM user.
7882 7883 7884 7885 7886 7887 7888 |
# File 'gems/aws-sdk-iam/lib/aws-sdk-iam/types.rb', line 7882 class ListSSHPublicKeysResponse < Struct.new( :ssh_public_keys, :is_truncated, :marker) SENSITIVE = [] include Aws::Structure end |